
// forward routines

//void stack_overflow();

int vector_ref(int v, int n);

void cleanup_();

int eq(int x, int y);

int eqv(int x, int y);

int equalp(int x, int y);

int gc_copy(int x);

int gc(int x, int y, int size);

void init_token();

int intern(int x);

int kons(int x, int y);

int get_integer_val(int i);

int make_string(int n);

int read_list();

int read_vector();

int readin();

int list_length(int x);

int make_integer(int n);

void print_vector(int v, int mode);

void princ(int x, int mode);

int display_(int x);

int assemble(int code);

void gccopykeywords();
